org.eclnt.jsfserver.rttools

## Class StreamStoreDetailUI

- java.lang.Object
- - org.eclnt.jsfserver.pagebean.PageBean
  - - org.eclnt.jsfserver.managedbean.DefaultDispatchedPageBean
    - - org.eclnt.workplace.WorkpageDispatchedPageBean
      - - org.eclnt.jsfserver.rttools.StreamStoreDetailUI

- All Implemented Interfaces:
    java.io.Serializable, IPageBean, IDynamicContentBindingObject, IPrepareByWorkpageStartInfo

      public class StreamStoreDetailUI
      extends WorkpageDispatchedPageBean
      implements java.io.Serializable, IPrepareByWorkpageStartInfo

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `StreamStoreDetailUI.IListener`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PARAM_ABSPATH`
    `static java.lang.String` | `PARAM_STREAMSTOREFILEROOTWS`
    `static java.lang.String` | `PARAM_WITHTENANTMANAGEMENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamStoreDetailUI(IWorkpageDispatcher workpageDispatcher)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getContent()`
    `java.lang.String` | `getDividerPosition()`
    `DynBeanTreeUI` | `getDynBeanTree()`
    `StreamStoreDetailUI.IListener` | `getListener()`
    `java.lang.String` | `getPageName()` Name of page that is managed by the bean.
    `boolean` | `getRenderDynBeanEditor()`
    `boolean` | `getRenderTextEditor()`
    `java.lang.String` | `getRootExpressionUsedInPage()` Inside the page definition the bean is addressed via a certain root expression - e.g.
    `java.lang.String` | `getTemplate()`
    `void` | `onCheck(ActionEvent event)`
    `void` | `onSave(ActionEvent event)`
    `void` | `prepare(IWorkpageStartInfo workpageStartInfo)` Workplace preparation.
    `void` | `prepare(java.lang.String absPath)` Default preparation.
    `void` | `prepare(java.lang.String absPath, java.lang.String streamStoreRootWS, boolean withTenantManagement, StreamStoreDetailUI.IListener listener)` Special preparation when using the editor for a given directory.
    `void` | `setContent(java.lang.String value)`
    `void` | `setDividerPosition(java.lang.String value)`
    `void` | `setListener(StreamStoreDetailUI.IListener listener)`

    - ### Methods inherited from class org.eclnt.workplace.WorkpageDispatchedPageBean

      `getOwningDispatcher, getWorkpage, getWorkpageContainer, setDispatcher`

    - ### Methods inherited from class org.eclnt.jsfserver.pagebean.PageBean

      `buildContentReplaceString, closePopup, getActualRootExpression, getPopups, initializePageBean, isInitialized, onBeforeRendering, openModalPopup, openModelessPopup, pbx, readPageLayoutXML, setActualRootExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PARAM_ABSPATH

          public static java.lang.String PARAM_ABSPATH

    - #### PARAM_STREAMSTOREFILEROOTWS

          public static java.lang.String PARAM_STREAMSTOREFILEROOTWS

    - #### PARAM_WITHTENANTMANAGEMENT

          public static java.lang.String PARAM_WITHTENANTMANAGEMENT

  - ### Constructor Detail

    - #### StreamStoreDetailUI

          public StreamStoreDetailUI(IWorkpageDispatcher workpageDispatcher)

  - ### Method Detail

    - #### getPageName

          public java.lang.String getPageName()

      Description copied from interface: `IPageBean`
      Name of page that is managed by the bean. This can either be a static return value that stays fix for the whole lifecycle of the bean, or it may also be a value that changed - in case there are several pages that are possible to be managed by the page bean.
      Specified by:
        `getPageName` in interface `IPageBean`
      Specified by:
        `getPageName` in class `PageBean`

    - #### getRootExpressionUsedInPage

          public java.lang.String getRootExpressionUsedInPage()

      Description copied from interface: `IPageBean`
      Inside the page definition the bean is addressed via a certain root expression - e.g. "#{d.XYZBean}". The page bean management requires this expression in order to execute certain expression replacements when loading the page at runtime.
      Specified by:
        `getRootExpressionUsedInPage` in interface `IPageBean`
      Specified by:
        `getRootExpressionUsedInPage` in class `PageBean`

    - #### getContent

          public java.lang.String getContent()

    - #### setContent

          public void setContent(java.lang.String value)

    - #### getTemplate

          public java.lang.String getTemplate()

    - #### setDividerPosition

          public void setDividerPosition(java.lang.String value)

    - #### getDividerPosition

          public java.lang.String getDividerPosition()

    - #### getListener

          public StreamStoreDetailUI.IListener getListener()

    - #### setListener

          public void setListener(StreamStoreDetailUI.IListener listener)

    - #### getRenderTextEditor

          public boolean getRenderTextEditor()

    - #### getRenderDynBeanEditor

          public boolean getRenderDynBeanEditor()

    - #### getDynBeanTree

          public DynBeanTreeUI getDynBeanTree()

    - #### prepare

          public void prepare(IWorkpageStartInfo workpageStartInfo)

      Workplace preparation.
      Specified by:
        `prepare` in interface `IPrepareByWorkpageStartInfo`

    - #### prepare

          public void prepare(java.lang.String absPath,
                              java.lang.String streamStoreRootWS,
                              boolean withTenantManagement,
                              StreamStoreDetailUI.IListener listener)

      Special preparation when using the editor for a given directory. Currently used within the CaptainCasa Tool environment. - This is NOT the default constructor!

    - #### prepare

          public void prepare(java.lang.String absPath)

      Default preparation.
      Parameters:
        `absPath` - Access path to the content within the stream store.

    - #### onSave

          public void onSave(ActionEvent event)

    - #### onCheck

          public void onCheck(ActionEvent event)

Copyright © CaptainCasa Gmbh. All Rights Reserved.